# Class Configuration.Namer

java.lang.Object
org.gradle.api.artifacts.Configuration.Namer

All Implemented Interfaces:
  `Namer<Configuration>`

Enclosing interface:
  `Configuration`

public static class Configuration.Namer extends Object implements Namer<Configuration>
A `Namer` namer for configurations that returns `Configuration.getName()`.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Namer

`Namer.Comparator<T>`

## Constructor Summary

Constructors
Constructor
Description
`Namer()`

## Method Summary

Modifier and Type
Method
Description
`String`
`determineName(Configuration c)`
Determines the name of the given object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Namer

public Namer()

## Method Details

### determineName

public String determineName(Configuration c)
Description copied from interface: `Namer`
Determines the name of the given object.

Specified by:
  `determineName` in interface `Namer<Configuration>`
Parameters:
  `c` - The object to determine the name of
Returns:
  The object's inherent name. Never null.